Index: /code/branches/core7/src/libraries/core/Core.cc
===================================================================
--- /code/branches/core7/src/libraries/core/Core.cc	(revision 10463)
+++ /code/branches/core7/src/libraries/core/Core.cc	(revision 10464)
@@ -225,5 +225,5 @@
         // Create singletons that always exist (in other libraries)
         orxout(internal_info) << "creating root scope:" << endl;
-        this->rootScope_ = new Scope<ScopeID::Root>();
+        this->rootScope_ = new Scope<ScopeID::ROOT>();
 
         // Generate documentation instead of normal run?
@@ -398,5 +398,5 @@
         // Create singletons associated with graphics (in other libraries)
         orxout(internal_info) << "creating graphics scope:" << endl;
-        graphicsScope_ = new Scope<ScopeID::Graphics>();
+        graphicsScope_ = new Scope<ScopeID::GRAPHICS>();
 
         unloader.Dismiss();
Index: /code/branches/core7/src/libraries/core/Core.h
===================================================================
--- /code/branches/core7/src/libraries/core/Core.h	(revision 10463)
+++ /code/branches/core7/src/libraries/core/Core.h	(revision 10464)
@@ -129,10 +129,10 @@
             TclBind*                  tclBind_;
             TclThreadManager*         tclThreadManager_;
-            Scope<ScopeID::Root>*     rootScope_;
+            Scope<ScopeID::ROOT>*     rootScope_;
             // graphical
             GraphicsManager*          graphicsManager_;            //!< Interface to OGRE
             InputManager*             inputManager_;               //!< Interface to OIS
             GUIManager*               guiManager_;                 //!< Interface to GUI
-            Scope<ScopeID::Graphics>* graphicsScope_;
+            Scope<ScopeID::GRAPHICS>* graphicsScope_;
 
             bool                      bGraphicsLoaded_;
Index: /code/branches/core7/src/libraries/core/CorePrereqs.h
===================================================================
--- /code/branches/core7/src/libraries/core/CorePrereqs.h	(revision 10463)
+++ /code/branches/core7/src/libraries/core/CorePrereqs.h	(revision 10464)
@@ -79,10 +79,9 @@
     namespace ScopeID
     {
+        typedef int Value;
+
         //!A list of available scopes for the Scope template.
-        enum Value
-        {
-            Root,
-            Graphics
-        };
+        static const Value ROOT = 1;
+        static const Value GRAPHICS = 2;
     }
 
Index: /code/branches/core7/src/libraries/core/input/KeyBinderManager.cc
===================================================================
--- /code/branches/core7/src/libraries/core/input/KeyBinderManager.cc	(revision 10463)
+++ /code/branches/core7/src/libraries/core/input/KeyBinderManager.cc	(revision 10464)
@@ -41,5 +41,5 @@
 namespace orxonox
 {
-    ManageScopedSingleton(KeyBinderManager, ScopeID::Graphics, false);
+    ManageScopedSingleton(KeyBinderManager, ScopeID::GRAPHICS, false);
 
     static const std::string __CC_keybind_name = "keybind";
Index: /code/branches/core7/src/libraries/core/input/KeyDetector.cc
===================================================================
--- /code/branches/core7/src/libraries/core/input/KeyDetector.cc	(revision 10463)
+++ /code/branches/core7/src/libraries/core/input/KeyDetector.cc	(revision 10464)
@@ -38,5 +38,5 @@
 namespace orxonox
 {
-    ManageScopedSingleton(KeyDetector, ScopeID::Graphics, false);
+    ManageScopedSingleton(KeyDetector, ScopeID::GRAPHICS, false);
 
     static const std::string __CC_KeyDetector_callback_name = "KeyDetectorKeyPressed";
Index: /code/branches/core7/src/libraries/core/object/DestroyLaterManager.cc
===================================================================
--- /code/branches/core7/src/libraries/core/object/DestroyLaterManager.cc	(revision 10463)
+++ /code/branches/core7/src/libraries/core/object/DestroyLaterManager.cc	(revision 10464)
@@ -34,5 +34,5 @@
 namespace orxonox
 {
-    ManageScopedSingleton(DestroyLaterManager, ScopeID::Root, false);
+    ManageScopedSingleton(DestroyLaterManager, ScopeID::ROOT, false);
 
     RegisterAbstractClass(DestroyLaterManager).inheritsFrom<UpdateListener>();
Index: /code/branches/core7/src/libraries/network/Client.cc
===================================================================
--- /code/branches/core7/src/libraries/network/Client.cc	(revision 10463)
+++ /code/branches/core7/src/libraries/network/Client.cc	(revision 10464)
@@ -57,5 +57,5 @@
 {
 
-  ManageScopedSingleton( Client, ScopeID::Root, false );
+  ManageScopedSingleton( Client, ScopeID::ROOT, false );
 
   /**
Index: /code/branches/core7/src/libraries/network/LANDiscovery.cc
===================================================================
--- /code/branches/core7/src/libraries/network/LANDiscovery.cc	(revision 10463)
+++ /code/branches/core7/src/libraries/network/LANDiscovery.cc	(revision 10464)
@@ -38,5 +38,5 @@
 namespace orxonox
 {
-  ManageScopedSingleton(LANDiscovery, ScopeID::Graphics, false);
+  ManageScopedSingleton(LANDiscovery, ScopeID::GRAPHICS, false);
 
   LANDiscovery::LANDiscovery()
Index: /code/branches/core7/src/modules/designtools/ScreenshotManager.cc
===================================================================
--- /code/branches/core7/src/modules/designtools/ScreenshotManager.cc	(revision 10463)
+++ /code/branches/core7/src/modules/designtools/ScreenshotManager.cc	(revision 10464)
@@ -61,5 +61,5 @@
     SetConsoleCommand("printScreenHD", &ScreenshotManager::makeScreenshot_s);
     
-    ManageScopedSingleton(ScreenshotManager, ScopeID::Graphics, false);
+    ManageScopedSingleton(ScreenshotManager, ScopeID::GRAPHICS, false);
 
     RegisterAbstractClass(ScreenshotManager).inheritsFrom<Configurable>();
Index: /code/branches/core7/src/modules/designtools/SkyboxGenerator.cc
===================================================================
--- /code/branches/core7/src/modules/designtools/SkyboxGenerator.cc	(revision 10463)
+++ /code/branches/core7/src/modules/designtools/SkyboxGenerator.cc	(revision 10464)
@@ -60,5 +60,5 @@
     SetConsoleCommand("SkyboxGenerator", "createSkybox", &SkyboxGenerator::createSkybox).addShortcut();
 
-    ManageScopedSingleton(SkyboxGenerator, ScopeID::Graphics, false);
+    ManageScopedSingleton(SkyboxGenerator, ScopeID::GRAPHICS, false);
 
     RegisterAbstractClass(SkyboxGenerator).inheritsFrom<Configurable>().inheritsFrom<Tickable>();
Index: /code/branches/core7/src/modules/notifications/NotificationManager.cc
===================================================================
--- /code/branches/core7/src/modules/notifications/NotificationManager.cc	(revision 10463)
+++ /code/branches/core7/src/modules/notifications/NotificationManager.cc	(revision 10464)
@@ -47,5 +47,5 @@
 {
 
-    ManageScopedSingleton(NotificationManager, ScopeID::Root, false);
+    ManageScopedSingleton(NotificationManager, ScopeID::ROOT, false);
 
     RegisterAbstractClass(NotificationManager).inheritsFrom<NotificationListener>();
Index: /code/branches/core7/src/modules/pickup/PickupManager.cc
===================================================================
--- /code/branches/core7/src/modules/pickup/PickupManager.cc	(revision 10463)
+++ /code/branches/core7/src/modules/pickup/PickupManager.cc	(revision 10464)
@@ -51,5 +51,5 @@
 namespace orxonox
 {
-    ManageScopedSingleton(PickupManager, ScopeID::Root, false);
+    ManageScopedSingleton(PickupManager, ScopeID::ROOT, false);
 
     // Initialization of the name of the PickupInventory GUI.
Index: /code/branches/core7/src/modules/questsystem/QuestManager.cc
===================================================================
--- /code/branches/core7/src/modules/questsystem/QuestManager.cc	(revision 10463)
+++ /code/branches/core7/src/modules/questsystem/QuestManager.cc	(revision 10464)
@@ -49,5 +49,5 @@
 namespace orxonox
 {
-    ManageScopedSingleton(QuestManager, ScopeID::Root, false);
+    ManageScopedSingleton(QuestManager, ScopeID::ROOT, false);
 
     /**
Index: /code/branches/core7/src/orxonox/CameraManager.cc
===================================================================
--- /code/branches/core7/src/orxonox/CameraManager.cc	(revision 10463)
+++ /code/branches/core7/src/orxonox/CameraManager.cc	(revision 10464)
@@ -44,5 +44,5 @@
 namespace orxonox
 {
-    ManageScopedSingleton(CameraManager, ScopeID::Graphics, false);
+    ManageScopedSingleton(CameraManager, ScopeID::GRAPHICS, false);
 
     CameraManager::CameraManager()
Index: /code/branches/core7/src/orxonox/LevelManager.cc
===================================================================
--- /code/branches/core7/src/orxonox/LevelManager.cc	(revision 10463)
+++ /code/branches/core7/src/orxonox/LevelManager.cc	(revision 10464)
@@ -51,5 +51,5 @@
     SetCommandLineArgument(level, "").shortcut("l").information("Default level file (overrides LevelManager::defaultLevelName_ configValue)");
 
-    ManageScopedSingleton(LevelManager, ScopeID::Root, false);
+    ManageScopedSingleton(LevelManager, ScopeID::ROOT, false);
 
     RegisterAbstractClass(LevelManager).inheritsFrom<Configurable>();
Index: /code/branches/core7/src/orxonox/MoodManager.cc
===================================================================
--- /code/branches/core7/src/orxonox/MoodManager.cc	(revision 10463)
+++ /code/branches/core7/src/orxonox/MoodManager.cc	(revision 10464)
@@ -36,5 +36,5 @@
 namespace orxonox
 {
-    ManageScopedSingleton(MoodManager, ScopeID::Root, false);
+    ManageScopedSingleton(MoodManager, ScopeID::ROOT, false);
 
     // Note: I'm (Kevin Young) not entirely sure whether that's good code style:
Index: /code/branches/core7/src/orxonox/PlayerManager.cc
===================================================================
--- /code/branches/core7/src/orxonox/PlayerManager.cc	(revision 10463)
+++ /code/branches/core7/src/orxonox/PlayerManager.cc	(revision 10464)
@@ -39,5 +39,5 @@
 namespace orxonox
 {
-    ManageScopedSingleton(PlayerManager, ScopeID::Root, false);
+    ManageScopedSingleton(PlayerManager, ScopeID::ROOT, false);
 
     RegisterAbstractClass(PlayerManager).inheritsFrom<ClientConnectionListener>();
Index: /code/branches/core7/src/orxonox/chat/ChatHistory.cc
===================================================================
--- /code/branches/core7/src/orxonox/chat/ChatHistory.cc	(revision 10463)
+++ /code/branches/core7/src/orxonox/chat/ChatHistory.cc	(revision 10464)
@@ -34,5 +34,5 @@
 {
   /* singleton */
-  ManageScopedSingleton( ChatHistory, ScopeID::Root, false );
+  ManageScopedSingleton( ChatHistory, ScopeID::ROOT, false );
 
   RegisterAbstractClass(ChatHistory).inheritsFrom<ChatListener>();
Index: /code/branches/core7/src/orxonox/chat/ChatInputHandler.cc
===================================================================
--- /code/branches/core7/src/orxonox/chat/ChatInputHandler.cc	(revision 10463)
+++ /code/branches/core7/src/orxonox/chat/ChatInputHandler.cc	(revision 10464)
@@ -62,5 +62,5 @@
 {
   /* singleton */
-  ManageScopedSingleton( ChatInputHandler, ScopeID::Graphics, false );
+  ManageScopedSingleton( ChatInputHandler, ScopeID::GRAPHICS, false );
 
   /* add commands to console */
Index: /code/branches/core7/src/orxonox/chat/ChatManager.cc
===================================================================
--- /code/branches/core7/src/orxonox/chat/ChatManager.cc	(revision 10463)
+++ /code/branches/core7/src/orxonox/chat/ChatManager.cc	(revision 10464)
@@ -40,5 +40,5 @@
 namespace orxonox
 {
-    ManageScopedSingleton(ChatManager, ScopeID::Root, false);
+    ManageScopedSingleton(ChatManager, ScopeID::ROOT, false);
 
     SetConsoleCommand("chat", &ChatManager::chat).defaultValue(1, NETWORK_PEER_ID_BROADCAST);
Index: /code/branches/core7/src/orxonox/overlays/InGameConsole.cc
===================================================================
--- /code/branches/core7/src/orxonox/overlays/InGameConsole.cc	(revision 10463)
+++ /code/branches/core7/src/orxonox/overlays/InGameConsole.cc	(revision 10464)
@@ -65,5 +65,5 @@
     SetConsoleCommand("InGameConsole", "closeConsole", &InGameConsole::closeConsole);
 
-    ManageScopedSingleton(InGameConsole, ScopeID::Graphics, false);
+    ManageScopedSingleton(InGameConsole, ScopeID::GRAPHICS, false);
 
     RegisterAbstractClass(InGameConsole).inheritsFrom<WindowEventListener>().inheritsFrom<UpdateListener>();
Index: /code/branches/core7/src/orxonox/sound/SoundManager.cc
===================================================================
--- /code/branches/core7/src/orxonox/sound/SoundManager.cc	(revision 10463)
+++ /code/branches/core7/src/orxonox/sound/SoundManager.cc	(revision 10464)
@@ -50,5 +50,5 @@
 namespace orxonox
 {
-    ManageScopedSingleton(SoundManager, ScopeID::Graphics, true);
+    ManageScopedSingleton(SoundManager, ScopeID::GRAPHICS, true);
 
     std::string SoundManager::getALErrorString(ALenum code)
Index: /code/branches/core7/test/core/singleton/ScopeTest.cc
===================================================================
--- /code/branches/core7/test/core/singleton/ScopeTest.cc	(revision 10463)
+++ /code/branches/core7/test/core/singleton/ScopeTest.cc	(revision 10464)
@@ -18,6 +18,6 @@
         };
 
-        ManageScopedSingleton(TestSingletonRoot, ScopeID::Root, false);
-        ManageScopedSingleton(TestSingletonGraphics, ScopeID::Graphics, false);
+        ManageScopedSingleton(TestSingletonRoot, ScopeID::ROOT, false);
+        ManageScopedSingleton(TestSingletonGraphics, ScopeID::GRAPHICS, false);
 
         // Fixture
@@ -39,6 +39,6 @@
     TEST_F(ScopeTest, ScopesDoNotExist)
     {
-        EXPECT_FALSE(Scope<ScopeID::Root>::isActive());
-        EXPECT_FALSE(Scope<ScopeID::Graphics>::isActive());
+        EXPECT_FALSE(Scope<ScopeID::ROOT>::isActive());
+        EXPECT_FALSE(Scope<ScopeID::GRAPHICS>::isActive());
     }
 
@@ -51,25 +51,25 @@
     TEST_F(ScopeTest, RootScope)
     {
-        EXPECT_FALSE(Scope<ScopeID::Root>::isActive());
+        EXPECT_FALSE(Scope<ScopeID::ROOT>::isActive());
         {   // create root scope
-            Scope<ScopeID::Root> scope;
-            EXPECT_TRUE(Scope<ScopeID::Root>::isActive());
+            Scope<ScopeID::ROOT> scope;
+            EXPECT_TRUE(Scope<ScopeID::ROOT>::isActive());
         }   // destroy root scope
-        EXPECT_FALSE(Scope<ScopeID::Root>::isActive());
+        EXPECT_FALSE(Scope<ScopeID::ROOT>::isActive());
     }
 
     TEST_F(ScopeTest, DISABLED_RootAndGraphicsScope)
     {
-        EXPECT_FALSE(Scope<ScopeID::Graphics>::isActive());
+        EXPECT_FALSE(Scope<ScopeID::GRAPHICS>::isActive());
         {   // create root scope
-            Scope<ScopeID::Root> scope;
-            EXPECT_FALSE(Scope<ScopeID::Graphics>::isActive());
+            Scope<ScopeID::ROOT> scope;
+            EXPECT_FALSE(Scope<ScopeID::GRAPHICS>::isActive());
             {   // create graphics scope
-                Scope<ScopeID::Graphics> scope;
-                EXPECT_TRUE(Scope<ScopeID::Graphics>::isActive());
+                Scope<ScopeID::GRAPHICS> scope;
+                EXPECT_TRUE(Scope<ScopeID::GRAPHICS>::isActive());
             }   // destroy graphics scope
-            EXPECT_FALSE(Scope<ScopeID::Graphics>::isActive());
+            EXPECT_FALSE(Scope<ScopeID::GRAPHICS>::isActive());
         }   // destroy root scope
-        EXPECT_FALSE(Scope<ScopeID::Graphics>::isActive());
+        EXPECT_FALSE(Scope<ScopeID::GRAPHICS>::isActive());
     }
 
@@ -78,5 +78,5 @@
         EXPECT_FALSE(TestSingletonRoot::exists());
         {   // create root scope
-            Scope<ScopeID::Root> scope;
+            Scope<ScopeID::ROOT> scope;
             EXPECT_TRUE(TestSingletonRoot::exists());
         }   // destroy root scope
@@ -88,8 +88,8 @@
         EXPECT_FALSE(TestSingletonGraphics::exists());
         {   // create root scope
-            Scope<ScopeID::Root> scope;
+            Scope<ScopeID::ROOT> scope;
             EXPECT_FALSE(TestSingletonGraphics::exists());
             {   // create graphics scope
-                Scope<ScopeID::Graphics> scope;
+                Scope<ScopeID::GRAPHICS> scope;
                 EXPECT_TRUE(TestSingletonGraphics::exists());
             }   // destroy graphics scope